# Generated by Django 4.0.4 on 2022-07-01 11:49

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        (
            "district",
            "0090_districtgeofeaturecollectionpage_promoted_block_title_and_more",
        ),
    ]

    operations = [
        migrations.AlterField(
            model_name="districthomepage",
            name="subheader",
            field=wagtail.fields.StreamField(
                [
                    (
                        "header_full_size",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "image_background",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek v pozadí", required=True
                                    ),
                                ),
                                (
                                    "image_foreground",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek v popředí", required=False
                                    ),
                                ),
                                (
                                    "button_group",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "mobile_fullwidth",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                        label="Plná šířka na mobilních zařízeních",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                                (
                                                    "align",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("auto", "Automaticky"),
                                                            ("center", "Na střed"),
                                                        ],
                                                        label="Zarovnání",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "header_simple",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "subtitle",
                                    wagtail.blocks.CharBlock(
                                        label="Podtitulek", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock()),
                            ]
                        ),
                    ),
                    (
                        "header",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nap", label="Titulek", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock()),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka", required=False
                                    ),
                                ),
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz tlačítka", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Blok pod headerem",
            ),
        ),
        migrations.AlterField(
            model_name="districtpeoplepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název pozice",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
    ]
