# Generated by Django 3.2.2 on 2021-05-16 22:59

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("elections2021", "0016_elections2021textpage"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="elections2021textpage",
            name="photo",
        ),
        migrations.CreateModel(
            name="Elections2021StrategicPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "card_style",
                    models.CharField(
                        choices=[
                            ("white", "bílé pozadí"),
                            ("black", "černé pozadí"),
                            ("yellow", "žluté pozadí"),
                            ("green", "zelené pozadí"),
                        ],
                        default="white",
                        max_length=10,
                        verbose_name="styl karty v přehledu",
                    ),
                ),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.blocks.CharBlock(
                                    icon="title",
                                    label="nadpis",
                                    template="elections2021/_strategic_title_block.html",
                                ),
                            ),
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h3",
                                        "h4",
                                        "bold",
                                        "italic",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "ul-elections2021",
                                        "ol-elections2021",
                                        "blockquote-elections2021",
                                        "link",
                                        "image",
                                        "document-link",
                                    ],
                                    label="text",
                                    template="uniweb/blocks/_strategic_text_block.html",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Strategický dokument",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Elections2021StrategicListPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Přehled strategických dokumentů",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
