# Generated by Django 5.0.6 on 2024-07-02 06:13

from django.db import migrations, models


def prefill_title_suffix(apps, schema_editor):
    SentatCampaignHomePage = apps.get_model("senat_campaign", "SenatCampaignHomePage")

    for page in SentatCampaignHomePage.objects.all():
        page.meta_title_suffix = page.title_suffix
        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("senat_campaign", "0015_alter_senatcampaignhomepage_title_suffix"),
    ]

    operations = [
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="meta_title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k titulku stránky běžně zobrazovanému na záložce s touto stránkou. Pokud vyplníš například "Piráti Pardubicko", záložka s kontakty bude nadepsaná "Kontakty | Piráti Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona meta titulku stránky",
            ),
        ),
        migrations.AlterField(
            model_name="senatcampaignhomepage",
            name="title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k názvu stránky. Pokud vyplníš například "Pardubicko", v levém horním rohu bude logo Pirátské strany a text "| Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona názvu stránky",
            ),
        ),
        migrations.RunPython(prefill_title_suffix),
    ]
